


function chooseFile {
    Param([System.IO.DirectoryInfo] $ShowFoleder)
    [void][System.Reflection.Assembly]::LoadWithPartialName("System.Windows.Forms");

    $dialog = New-Object System.Windows.Forms.OpenFileDialog
    $dialog.Filter = "eLXgt@C(*.txt)|*.txt"
    $dialog.InitialDirectory = $ShowFoleder.FullName;
    $dialog.Title = "t@CIĂ"
    # I Multiselect ݒ肷
    $dialog.Multiselect = $false

    $result = "";
    # _CAO\
    if ($dialog.ShowDialog() -eq [System.Windows.Forms.DialogResult]::OK) {
        $result = $dialog.FileName
    }

    return $result;

}

function main() {
    Set-Location $PSScriptRoot
    $current = Get-Item $PSScriptRoot


    $targetPath = chooseFile -ShowFoleder $current
    if($current -eq "") {
        return;
    } else {
        $target = Get-Item $targetPath;
    }
    
    $resultfile = $current.FullName + "\result\" + $target.Name;
    Get-Content -Encoding Default -LiteralPath $target.FullName | 
        Where-Object {$_ -notmatch "^\s*#.*$"} |
        ForEach-Object {Resolve-DnsName -Type MX $_} | 
        Where-Object {$null -ne $_.NameExchange} |
        Select-Object Name, NameExchange |
        Export-Csv -Encoding Default -LiteralPath $resultfile  -NoTypeInformation
}

main